<?php
// Tableau des codes postaux
$CP_DEPT = array (
    'CRETEIL'   => array ('CP' => 94000, 'DEPT' => 'Val-de-Marne'),
    'NICE'      => array ('CP' =>  6000, 'DEPT' => 'Alpes-Maritimes'),
    'LA BAULE'  => array ('CP' => 44500, 'DEPT' => 'Loire-Atlantique'),
    'STRASBOURG'=> array ('CP' => 67000, 'DEPT' => 'Bas-Rhin'));
echo '--- Affichage de $CP_DEPT ---'.PHP_EOL;
while ($tabligne=current($CP_DEPT))
{
 $numligne=key($CP_DEPT);
 while ($valeur=current($tabligne))
 {
   $numcolonne=key($tabligne);
   echo "[$numligne][$numcolonne]:$valeur\t";
   next($tabligne);
 }
 echo PHP_EOL;
 next($CP_DEPT);
}
echo PHP_EOL;
?>
